JstlUtils (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.support

## Class JstlUtils

- java.lang.Object
- - org.springframework.web.servlet.support.JstlUtils

-     public abstract class JstlUtils
      extends Object

  Helper class for preparing JSTL views, in particular for exposing a JSTL localization context.
  Since:
    20.08.2003
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JstlUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `exposeLocalizationContext(HttpServletRequest request, MessageSource messageSource)` Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and MessageSource.
    `static void` | `exposeLocalizationContext(RequestContext requestContext)` Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and MessageSource.
    `static MessageSource` | `getJstlAwareMessageSource(ServletContext servletContext, MessageSource messageSource)` Checks JSTL's "javax.servlet.jsp.jstl.fmt.localizationContext" context-param and creates a corresponding child message source, with the provided Spring-defined MessageSource as parent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JstlUtils

          public JstlUtils()

  - ### Method Detail

    - #### getJstlAwareMessageSource

          public static MessageSource getJstlAwareMessageSource(ServletContext servletContext,
                                                MessageSource messageSource)

      Checks JSTL's "javax.servlet.jsp.jstl.fmt.localizationContext" context-param and creates a corresponding child message source, with the provided Spring-defined MessageSource as parent.
      Parameters:
        `servletContext` - the ServletContext we're running in (to check JSTL-related context-params in `web.xml`)
        `messageSource` - the MessageSource to expose, typically the ApplicationContext of the current DispatcherServlet
      Returns:
        the MessageSource to expose to JSTL; first checking the JSTL-defined bundle, then the Spring-defined MessageSource
      See Also:
        `ApplicationContext`

    - #### exposeLocalizationContext

          public static void exposeLocalizationContext(HttpServletRequest request,
                                       MessageSource messageSource)

      Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and MessageSource.
      Parameters:
        `request` - the current HTTP request
        `messageSource` - the MessageSource to expose, typically the current ApplicationContext (may be `null`)
      See Also:
        `exposeLocalizationContext(RequestContext)`

    - #### exposeLocalizationContext

          public static void exposeLocalizationContext(RequestContext requestContext)

      Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and MessageSource.
      Parameters:
        `requestContext` - the context for the current HTTP request, including the ApplicationContext to expose as MessageSource